# Class TableEntryList

java.lang.Object
java.util.AbstractCollection<TableEntry>
java.util.AbstractList<TableEntry>
java.util.ArrayList<TableEntry>
com.independentsoft.pst.TableEntryList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<TableEntry>`, `Collection<TableEntry>`, `List<TableEntry>`, `RandomAccess`, `SequencedCollection<TableEntry>`

public class TableEntryList extends ArrayList<TableEntry>
The Class TableEntryList.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableEntryList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableEntry`
  `get(int tag, PropertyType type)`
  Gets the.
  `TableEntry`
  `get(PropertyTag propertyTag)`
  Gets the.

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### TableEntryList

    public TableEntryList()

- ## Method Details

  - ### get

    public TableEntry get(PropertyTag propertyTag)
    Gets the.
    Parameters:
      `propertyTag` - the property tag
    Returns:
      the table entry

  - ### get

    public TableEntry get(int tag, PropertyType type)
    Gets the.
    Parameters:
      `tag` - the tag
      `type` - the type
    Returns:
      the table entry